QRCode
How to use QRCode to submit a payin in Bolivia.
Payin by QRCode
POST https://gateway-test.pagsmile.com/trade/pay
This endpoint allows you to submit a payin by QRCode in Bolivia.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
created app's id at dashboard
- Max. 32 chars -
customer.name*
string
User's name
customer.email*
string
User's email
customer.identify.type*
string
User's identification type
- CI, CE, NIT -
customer.identify.number*
string
User's identification number
- CI: 710 digits
CE: 8 digits
NIT: 912 digits -
method*
string
Fixed value: BankTransfer
out_trade_no*
string
ID given by the merchant in their system - Max. 64 chars -
notify_url*
string
Where Pagsmile will send notification to
timestamp*
string
yyyy-MM-dd HH:mm:ss - Max. 19 chars -
subject*
string
payment reason or item title
- Max. 128 chars -
order_amount*
string
payment amount - 1 - 69,000.00 BOB -
order_currency*
string
Fixed value: BOB
content
string
payment reason detail or item detail
- Max. 255 chars -
buyer_id*
string
merchant user's id
return_url
string
Redirect to Merchant's url when user finished checkout
Format of customer.identify
CI
7-10
7 mandatory numerical digits and then optionally a space and two letters
Cedula de Identidad
SC 1234567 or 1234567
CE
8
numeric
Cedula de Identidad de Extranjero
12345678
NIT
9-12
numeric
Número de Identificación Tributaria
123456789
Example
Please use your own app_id and generate your own authorization token when testing.
Last updated
Was this helpful?